Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class Utils

    java.lang.Object
      de.grogra.xl.query.Utils

    public final class Utils

extends java.lang.Object

Method Summary
`static Method` | `getConstructor(java.lang.Object instance)`
`static Method` | `getConstructor(java.lang.Object instance, int length)`
`static Method` | `getConstructor(java.lang.Object instance, java.lang.String paramInitials)`
`static java.io.ObjectInputStream` | `getObjectInput(java.lang.String bytes, java.lang.ClassLoader loader)`
`static boolean[]` | `toBooleanArray(long bits)`
`static byte[]` | `toBytes(java.lang.String bytes)`
`static ClassAdapter` | `toClassAdapter(java.lang.Object[] array)`
`static long` | `toLong(boolean[] array)`
`static java.lang.String` | `toString(byte[] bytes)`
`static void` | `writeArray(BytecodeSerialization out, java.lang.Object array)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConstructor

    public static Method getConstructor(java.lang.Object instance)

### getConstructor

    public static Method getConstructor(java.lang.Object instance,
                                        int length)

### getConstructor

    public static Method getConstructor(java.lang.Object instance,
                                        java.lang.String paramInitials)

### getObjectInput

    public static java.io.ObjectInputStream getObjectInput(java.lang.String bytes,
                                                           java.lang.ClassLoader loader)
                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### toBooleanArray

    public static boolean[] toBooleanArray(long bits)

### toBytes

    public static byte[] toBytes(java.lang.String bytes)

### toClassAdapter

    public static ClassAdapter toClassAdapter(java.lang.Object[] array)

### toLong

    public static long toLong(boolean[] array)

### toString

    public static java.lang.String toString(byte[] bytes)

### writeArray

    public static void writeArray(BytecodeSerialization out,
                                  java.lang.Object array)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD